// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package player

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"juwan-backend/app/player/api/internal/logic/player"
	"juwan-backend/app/player/api/internal/svc"
	"juwan-backend/app/player/api/internal/types"
)

// 获取当前用户的打手资料
func GetMyPlayerHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.EmptyResp
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := player.NewGetMyPlayerLogic(r.Context(), svcCtx)
		resp, err := l.GetMyPlayer(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
